# Release: 20240328

## New Features

- net: Added iperf udp test
- graphics: Added Qt test

## Improvements

- usb: Updated test logic for usb mass storage test
- hwmon: Updated test logic for temperature sensor test
- graphics: Updated test logic for framebuffer test
- multimedia: Improved the test script for gstreamer
- backlight: Improved command-line options handling.
- graphics: Added logic to check if lvds display is connected or not for i.mx targets.
- adc_imx: Now adc_imx test is not enabled by default, Enable it based on ADC_IMX flag
- graphics: Added command-line options and updated test logic of test_graphics_gpu_imx.sh

## Bug Fixes

- usb,net: Fixed network disconnect issue in the board farm
- mtd: Fixed test which returns pass even when mtd block is not available
- buzzer: Fixed typo
- Framework: Added logic to fix the start and finish date and time that were not getting updated in the tstp test logs. 
- hid: Added logic to exit after the input key is pressed

## TSTP conf

- Added automated and interactive template conf files for NXP i.MX boards

# Release: 20220208

## New Features

- touchscreen: Added event test

## Improvements

- graphics: Updated logic for weston test
- audio: Updated logic for audio test
- spi,misc,buzzer,bluetooth,fs,hwmon,mmc: Renamed test scripts

## Bug Fixes

- uart: Fixed return-type warning/error

## TSTP conf

- Added automated and interactive template conf files for var_dvk_mx6
