#!/bin/sh

source "@TSTPLIB@"

dep_check_programs gst-launch-1.0

if [ $(pidof weston) ];then
    export XDG_RUNTIME_DIR=/run/user/root
    ver=$(weston --version | awk '{print $2}')
    if [[ ${ver:0:2} -ge 11 ]];then
       export WAYLAND_DISPLAY=wayland-1
    fi
fi

gst-launch-1.0 videotestsrc ! videoconvert ! autovideosink &
pid_gst=`pidof gst-launch-1.0`
sleep 20
kill $pid_gst

exit 0
