#!/bin/sh

source "@TSTPLIB@"

dep_check_programs fbi

FILE=$1
FB_DEVICE=$2
FB_CONSOLE_NUM=$3

if which fbi > /dev/null; then
	fbi -a -T $FB_CONSOLE_NUM -d $FB_DEVICE $FILE
elif which fbv > /dev/null; then
	fbv $FILE
else
	echo "Both fbv and fbi commands are not found. Please install any one for this test"
	echo "Graphics FB: FAIL"
	exit 1
fi
