#!/bin/sh

source "@TSTPLIB@"

dep_check_programs weston-flower weston-simple-egl

RUNTIMEDIR=$1

if [ -z "$RUNTIMEDIR" ]; then
    XDG_RUNTIME_DIR=/run/user/root
fi

export XDG_RUNTIME_DIR=$XDG_RUNTIME_DIR
ver=$(weston --version | awk '{print $2}')
if [[ ${ver:0:2} -ge 11 ]];then
    export WAYLAND_DISPLAY=wayland-1
fi
weston-flower &
PID=$!
sleep 5
kill $PID
weston-simple-egl &
PID=$!
sleep 5
kill $PID
