#!/bin/sh

# This script confirms the 'sensors' command availability in the running target and utilizes lm-sensors package's 'sensors' command to test the temperature sensor.

if which sensors > /dev/null; then
	if sensors; then
		echo "Temperature Sensing: PASS"
	else
		echo "Temperature Sensing: FAIL"
		exit 1
	fi
else
	echo "'sensors' command not found. please install lm-sensors package"
	echo "Temperature Sensing: FAIL"
	exit 1
fi
